Package org.eclipse.cdt.core.settings.model.util

## Class SettingsSet

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.SettingsSet

    public class SettingsSet
    extends Object

### Nested Class Summary

Nested Classes
`static class` `SettingsSet.EntryInfo`
`class` `SettingsSet.SettingLevel`

### Field Summary

Fields
`static int` `READ_ONLY`
`static int` `WRITABLE`

### Constructor Summary

Constructors
`SettingsSet​(int num)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adjustOverrideState()`
`void` `applyEntries​(ICLanguageSettingEntry[] entries)`
`ICLanguageSettingEntry[]` `getEntries()`
`ICLanguageSettingEntry[]` `getEntries​(int types)`
`HashMap<EntryNameKey,​Object[]>` `getEntryLevelMap​(int types)`
`SettingsSet.SettingLevel[]` `getLevels()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### READ_ONLY

    public static final int READ_ONLY

See Also:
  Constant Field Values

#### WRITABLE

    public static final int WRITABLE

See Also:
  Constant Field Values

### Constructor Detail

#### SettingsSet

    public SettingsSet​(int num)

### Method Detail

#### getLevels

    public SettingsSet.SettingLevel[] getLevels()

#### adjustOverrideState

    public void adjustOverrideState()

#### getEntries

    public ICLanguageSettingEntry[] getEntries()

#### getEntries

    public ICLanguageSettingEntry[] getEntries​(int types)

#### applyEntries

    public void applyEntries​(ICLanguageSettingEntry[] entries)

#### getEntryLevelMap

    public HashMap<EntryNameKey,​Object[]> getEntryLevelMap​(int types)